Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000786 [DCSS] Patches minor always 2010-02-13 00:24 2014-02-10 14:16
Reporter yobbo View Status public  
Assigned To Medar
Priority normal Resolution done  
Status resolved   Product Branch 0.6 ancient branch
Summary 0000786: Evoking a rod with "v" should cancel when there is nothing in range, like casting spells with "z".
Description Rods of striking especially have very low range, causing frequent mistaken evokes. Many other rod spells have less-then-maximum range, too.

I made a patch which makes it work more like spellcasting. It checks range for rod spells when using "v", but the spell can always be evoked using "V", just like z and Z.

Doesn't affect other evokable items, just rods.

I basically copied straight from the spellcasting code, it was pretty straightforward.
Additional Information
Tags has patch
Attached Files ? file icon 0002-Check-for-monsters-in-range-when-evoking-a-wielded-r.patch [^] (4,318 bytes) 2010-02-13 00:24 [Show Content]

- Relationships

-  Notes
(0002485)
doy (developer)
2010-02-13 04:53

I haven't looked at this patch, but V is already in use (for evoking items that don't require wielding), it seems like combining these could be confusing.
(0002493)
yobbo (reporter)
2010-02-13 09:28

I didn't change V usage at all. It already includes the wielded rod as a choice, so there was no need.

It seems quite intuitive to me, small letter for quickly evoking the wielded item, and large letter for explicit selection.

To be precise, the only change I made is to auto-cancel with a "use V to cast anyway" message if you evoke using v and there are no monsters in range. It also flashes the range, like for spells with z.

I just leveled a HaAr of Nemelex to 27 using mostly rods, and this feature would've been nice to have.
(0025266)
Medar (developer)
2014-02-10 14:15

In a surprise move, after 4 years this patch is in: 0.14-a0-2544-ge03b0eb

Thanks!

- Issue History
Date Modified Username Field Change
2010-02-13 00:24 yobbo New Issue
2010-02-13 00:24 yobbo File Added: 0002-Check-for-monsters-in-range-when-evoking-a-wielded-r.patch
2010-02-13 00:25 yobbo Tag Attached: has patch
2010-02-13 04:53 doy Note Added: 0002485
2010-02-13 09:28 yobbo Note Added: 0002493
2011-04-14 18:49 MarvinPA Category FR: Interface Improvements => Patches
2014-02-10 14:15 Medar Note Added: 0025266
2014-02-10 14:15 Medar Status new => resolved
2014-02-10 14:15 Medar Fixed in Branch => 0.14 development branch
2014-02-10 14:15 Medar Resolution open => done
2014-02-10 14:15 Medar Assigned To => Medar


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker